package com.flossom.common.core.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 微信用户查询对象
 *
 * @author flossom
 * @date 2023-12-08
 */
public class WxUserMemberVm {

    /**
     * 用户编码
     */
    private Long id;

    /**
     * 会员昵称
     */
    @Excel(name = "会员昵称")
    private String nickname;


    /**
     * 积分起始
     */
    @Excel(name = "积分")
    private Integer creditStart;

    /**
     * 积分结束
     */
    private Integer creditEnd;

    /**
     * 用户类型：0游客 1会员
     */
    @Excel(name = "用户类型：0游客 1会员")
    private Integer userType;


    /**
     * 手机（多个手机号码，‘，’逗号隔开，号码数不足时，模糊匹配）
     */
    @Excel(name = "手机")
    private String mobile;

    /**
     * 省id
     */
    @Excel(name = "省id")
    private String provinceId;


    /**
     * 市id
     */
    @Excel(name = "市id")
    private String cityId;


    /**
     * 区id
     */
    @Excel(name = "区id")
    private String areaId;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 用户注册起始时间
     */
    private Date createTimeStart;

    /**
     * 用户注册结束时间
     */
    private Date createTimeEnd;

    public WxUserMemberVm() {
    }

    public WxUserMemberVm(Long id, String nickname, Integer creditStart, Integer creditEnd, Integer userType, String mobile, String provinceId, String cityId, String areaId, Date birthday, Date createTimeStart, Date createTimeEnd) {
        this.id = id;
        this.nickname = nickname;
        this.creditStart = creditStart;
        this.creditEnd = creditEnd;
        this.userType = userType;
        this.mobile = mobile;
        this.provinceId = provinceId;
        this.cityId = cityId;
        this.areaId = areaId;
        this.birthday = birthday;
        this.createTimeStart = createTimeStart;
        this.createTimeEnd = createTimeEnd;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Integer getCreditStart() {
        return creditStart;
    }

    public void setCreditStart(Integer creditStart) {
        this.creditStart = creditStart;
    }

    public Integer getCreditEnd() {
        return creditEnd;
    }

    public void setCreditEnd(Integer creditEnd) {
        this.creditEnd = creditEnd;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Date getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(Date createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public Date getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(Date createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }
}
